using System;
using UnityEngine;

public static class Logger
{
    private static string _prefix = "[Demo] ";

    public static void SetPrefix(string prefix)
    {
        _prefix = prefix;
    }

    public static void Log(object message)
    {
        Debug.Log(_prefix + message);
    }

    public static void Log(string message)
    {
        Debug.Log(_prefix + message);
    }

    public static void LogWarning(object message)
    {
        Debug.LogWarning(_prefix + message);
    }

    public static void LogWarning(string message)
    {
        Debug.LogWarning(_prefix + message);
    }

    public static void LogError(object message)
    {
        Debug.LogError(_prefix + message);
    }

    public static void LogError(string message)
    {
        Debug.LogError(_prefix + message);
    }

    public static void LogException(Exception exception)
    {
        Debug.LogException(new Exception(_prefix + exception.Message, exception));
    }
}
